import { CookieOptions } from '../models';
/**
 * @ignore
 * not part of public api, don't include in generated docs
 */
declare class CookieApi {
    write(name: string, value: string, options: CookieOptions): void;
    read(name: string): string;
    buildCookieString(name: string, value: string, options: CookieOptions): string;
}
declare const _default: CookieApi;
export default _default;
